package org.kne.cloud.network;

import java.util.Objects;

public class Protocol {
private String name;

public String getName() {
	return name;
}

public Protocol(String name) {
	super();
	this.name = name;
}

@Override
public int hashCode() {
	return Objects.hash(name);
}

@Override
public boolean equals(Object obj) {
	if (this == obj)
		return true;
	if (obj == null)
		return false;
	if (getClass() != obj.getClass())
		return false;
	Protocol other = (Protocol) obj;
	return Objects.equals(name, other.name);
}

@Override
public String toString() {
	return name;
}


}
